# NFT

## Get NFT

Returns an NFT by its mint address.

{% openapi src="/files/Va5uwo774tVLdGPB4WFx" path="/nft/{nftId}" method="get" %}
[openapi-api.json](https://2946875910-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLywT3slSQ4GoAk6k17dV%2Fuploads%2Ffftve2zbXZ74wUToXwyN%2Fopenapi-api.json?alt=media\&token=5d905f38-5d43-4e4c-8c64-a7e8a3fad848)
{% endopenapi %}

## Get NFT Royalty

Returns the royalty paid status on the last sale of an NFT. Return type is either `true, false, or NO_DATA.`

{% openapi src="/files/Va5uwo774tVLdGPB4WFx" path="/nft/{nftId}/royalty" method="get" %}
[openapi-api.json](https://2946875910-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLywT3slSQ4GoAk6k17dV%2Fuploads%2Ffftve2zbXZ74wUToXwyN%2Fopenapi-api.json?alt=media\&token=5d905f38-5d43-4e4c-8c64-a7e8a3fad848)
{% endopenapi %}

## Refresh a NFT

<mark style="color:blue;">`GET`</mark> `https://api.matrica.io/v1/nft/{nftId}/refresh`

Updates the metadata of the NFT

#### Path Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| nftId<mark style="color:red;">\*</mark> | string | NFT id      |

{% tabs %}
{% tab title="200: OK NFT has been refreshed" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.matrica.io/api-reference/nft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
